#!/bin/bash

#  breezed is a fan speed control daemon for Linux computers.
#
#  Copyright (c) 2008 Francois Fleuret
#  Written by Francois Fleuret <francois@fleuret.org>
#
#  This file is part of breezed.
#
#  breezed is free software: you can redistribute it and/or modify it
#  under the terms of the GNU General Public License version 3 as
#  published by the Free Software Foundation.
#
#  breezed is distributed in the hope that it will be useful, but
#  WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with breezed.  If not, see <http://www.gnu.org/licenses/>.

make -k

if [[ ! -a "/etc/breezed.conf" ]]; then
    echo "You have to copy one of the breezed_*.conf file in /etc/breezed.conf"
    echo "before installing the daemon."
    exit 0
fi

cp ./breezed /usr/local/bin/
cp ./breezed.sh /etc/init.d/

if [[ -d "/usr/lib/pm-utils/sleep.d/" ]]; then
    cp ./breezed-pm-utils.sh /usr/lib/pm-utils/sleep.d/50breezed
else
    echo "I can not find /usr/lib/pm-utils/sleep.d/"
    echo "On Debian, you should install pm-utils"
fi

cp ./breezed.1 /usr/share/man/man1/

update-rc.d breezed.sh defaults

/etc/init.d/breezed.sh start
